Subject: Re: bug#6186: du in coreutils should add the -d flag as a shortcut to --max-depth

From: Jim Meyering <[email-masked]>
Date: Fri, 14 May 2010 10:06:12 +0200

Jon Ringuette wrote:
> So here is my first whack at it.  One thing to note is there was a DU_DEBUG optional define that defined a -d flag to use for debugging.  It seemed like using -d would be more useful for everyone to use for depth then for debug so I modified the slightly oddly thrown in debug stuff to now work with --debug instead.  Though when I actually define DU_DEBUG so the #if DU_DEBUG is picked up and used it complains about the function missing so I'm kind of curios if this has worked for awhile.

Moving debug functionality to --debug is fine.
Since it's compiled out and I haven't made an effort
to enable it otherwise, it hasn't kept pace with other
changes.  No big deal.  However, it was essential during
the last round of big changes, so I'm not ready to remove
it altogether just yet.

> Anyways any feedback or recommendations would be greatly appreciated so this has a better chance of making its way into the release.
>
> Thank you for your time on this matter!

Your patch did not reach the list.